Change log for ycmd package in Ubuntu

120 of 20 results
Published in eoan-release on 2019-05-09
Deleted in eoan-proposed (Reason: moved to release)
ycmd (0+20181101+git600f54d-0.1build1) eoan; urgency=medium

  * No change rebuild against new boost regex icu encoded abi ABI

 -- Dimitri John Ledkov <email address hidden>  Wed, 08 May 2019 18:27:23 +0100
Superseded in eoan-release on 2019-05-09
Published in disco-release on 2018-11-09
Deleted in disco-proposed (Reason: moved to release)
ycmd (0+20181101+git600f54d-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0+20181101+git600f54d
    - The release intended to be uploaded previously instead of
      a renamed tarball of a previous version
    - Update debian/copyright file
    - Use uscan + debian/watch for git HEAD for source tarball
    - Don't include prebuilt api doc in tarball
    - Don't exclude the examples/ folder from the tarball
    - Run without non-existent third_party directory
  * Switch from debhelper 9 to 11
  * Drop references to unused JediHTTP
  * Remove unused libboost-python-dev build-dependency
  * Don't use dpkg-parsechangelog directly in debian/rules
  * Drop ancient X-Python-Version field
  * Run GTest-based tests at build-time
  * Drop runtime-deps from build-deps for now
  * Use always the default clang version for building
  * Provide ycmd-core-version for more relaxed dependencies
  * Build against python3 (Closes: #849239)

 -- David Kalnischkies <email address hidden>  Fri, 02 Nov 2018 19:57:14 +0100
Deleted in cosmic-proposed on 2018-07-20 (Reason: LP: #1782324, remove boost1.62 and rdep ycmd)
ycmd (0+20161219+git486b809-2.1build2) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <email address hidden>  Tue, 17 Jul 2018 17:55:33 +0200
Deleted in bionic-proposed on 2017-12-20 (Reason: FTBFS, requires sourceful changes; Debian bug #867992)
ycmd (0+20161219+git486b809-2.1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <email address hidden>  Thu, 26 Oct 2017 17:28:58 +0000
Deleted in cosmic-release (Reason: LP: #1782324, remove boost1.62 and rdep ycmd)
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-06-07
Deleted in artful-proposed (Reason: moved to release)
ycmd (0+20161219+git486b809-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run fewer tests on mipsel and mips64el, some fail on Loongson buildds.
    (Closes: #852962)

 -- Adrian Bunk <email address hidden>  Wed, 07 Jun 2017 12:13:33 +0300
Superseded in artful-release on 2017-06-07
Deleted in artful-proposed on 2017-06-09 (Reason: moved to release)
ycmd (0+20161219+git486b809-2) unstable; urgency=low

  * Fix clang version detection in override_dh_link. (Closes: #861483)
  * Try to find tern executable in $PATH and then set PATH_TO_TERN_BINARY
    to ~/.npm-packages/bin/tern. (Closes: #859883)

 -- Onur Aslan <email address hidden>  Mon, 08 May 2017 11:23:19 +0300
Superseded in artful-proposed on 2017-05-15
ycmd (0+20161219+git486b809-1build1) artful; urgency=medium

  * Rebuild against new llvm versioned symbols.

 -- Gianfranco Costamagna <email address hidden>  Mon, 01 May 2017 22:44:35 +0200
Superseded in artful-release on 2017-05-15
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
ycmd (0+20161219+git486b809-1) unstable; urgency=low

  * New upstream release. (Closes: #850144)
  * Bump Standards-Version to 3.9.8 (no changes).
  * Remove third party dependency frozendict from package.
  * Refresh patches for new upstream release.
  * Use updated path for tsserver. (Closes: #841563)
  * Replace google-mock dependency with google-test and use correct
    directory for gmock target. (Closes: #848727)
  * Bumb libclang dependency version to 3.9.
  * Update 01-python-patch.patch to:
    - Fix a test function in JediHTTP to use upper case letter.
    - Remove follow_imports parameter usage from jedi.Script.goto_assignments.
      This parameter is only available in the latest revision of jedi and not
      available in Debian.
  * Remove third_party/frozendict from package
  * Add python-frozendict and python-psutil to Build-Depends.
  * Add 08-bottle.patch to make ycmd compatible with python-bottle.
  * Improve override_dh_auto_clean.
  * Remove installation of check_core_version.py.
  * Remove gmock and gtest files from package.
  * Replace clang includes symbolic link with correct include directory.
    (Closes: #825905)
  * Remove fix permissions from override_dh_install and only make
    /usr/lib/ycmd/ycmd/__main__.py executable.
  * Enable hardening.
  * Remove unused files from debian/copyright.
  * Remove architecture detection for go tests (go tests are excluded
    completely), and reorganize EXCLUDE_TEST_PARAMS in debian/rules.

 -- Onur Aslan <email address hidden>  Thu, 26 Jan 2017 12:57:23 +0300
Superseded in zesty-release on 2017-01-26
Deleted in zesty-proposed on 2017-01-28 (Reason: moved to release)
ycmd (0+20160327+gitc3e6904-1build3) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <email address hidden>  Tue, 01 Nov 2016 16:56:22 +0000
Superseded in zesty-release on 2016-11-02
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
ycmd (0+20160327+gitc3e6904-1build2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <email address hidden>  Thu, 04 Aug 2016 08:37:22 +0000
Superseded in yakkety-release on 2016-08-04
Deleted in yakkety-proposed on 2016-08-06 (Reason: moved to release)
ycmd (0+20160327+gitc3e6904-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 18:54:07 +0000
Superseded in yakkety-release on 2016-04-24
Published in xenial-release on 2016-04-12
Deleted in xenial-proposed (Reason: moved to release)
ycmd (0+20160327+gitc3e6904-1) unstable; urgency=low

  * New upstream release. (Closes: #818070)
  * Refresh patches for new upstream release.
  * Add libclang-3.8-dev and remove libclang-dev from Build-Depends.

 -- Onur Aslan <email address hidden>  Sat, 09 Apr 2016 12:22:30 +0300
Superseded in xenial-release on 2016-04-12
Deleted in xenial-proposed on 2016-04-13 (Reason: moved to release)
ycmd (0+20160327+gitc3e6904-0ubuntu1) xenial; urgency=low

  * New upstream release. (Closes: #818070)
  * Refresh patches for new upstream release.
  * Update clang dependency to version 3.8.

Superseded in xenial-proposed on 2016-04-05
ycmd (0+20160313+git30b04ebd-0ubuntu4) xenial; urgency=medium

  * debian/patches/flake8-compat.patch: fix flake8-related build
    failures.
  * add build-dependency on python-mock.
  * build will still fail looking for "OmniSharp.exe"; leaving for someone
    else to investigate.

 -- Steve Langasek <email address hidden>  Mon, 28 Mar 2016 21:59:33 +0000
Superseded in xenial-proposed on 2016-03-28
ycmd (0+20160313+git30b04ebd-0ubuntu3) xenial; urgency=medium

  * Add build-dep on flake8

 -- Steve Langasek <email address hidden>  Mon, 28 Mar 2016 13:32:13 -0700
Superseded in xenial-proposed on 2016-03-28
ycmd (0+20160313+git30b04ebd-0ubuntu2) xenial; urgency=medium

  * Build-depend on python-future.

 -- Matthias Klose <email address hidden>  Sun, 13 Mar 2016 13:10:47 +0100
Superseded in xenial-proposed on 2016-03-13
ycmd (0+20160313+git30b04ebd-0ubuntu1) xenial; urgency=medium

  * New upstream release (Python3 compatible). LP: #1538532.

 -- Matthias Klose <email address hidden>  Sun, 13 Mar 2016 11:24:08 +0100
Superseded in xenial-release on 2016-04-05
Deleted in xenial-proposed on 2016-04-06 (Reason: moved to release)
ycmd (0+20151019+git0825f85-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream version.
  * Remove 04-test-basic-string-alias.patch. Fixed in upstream.
  * Update override_dh_auto_clean to remove *.so* files in d/rules.
  * Update override_dh_auto_test to run ./run_tests.py in d/rules.
  * Install CORE_VERSION instead of EXPECTED_CORE_VERSION.
  * Create a symbolic link to clang includes directory in
    /usr/lib/ycmd. (Closes: #800618)
  * Add libclang-common-(CLANG_VER)-dev into recommends.
  * Replace libclang-3.(6|7) dependencies with libclang-dev (>= 3.6) to
    use default clang version provided by llvm-defaults.
  * Add typescript support:
    - Add node-typescript into Build-Depends and Recommends.
    - Add 04-tsserver-path.patch to use node-typescript for typescript
      completion.
    - Remove excluded typescript tests to activate typescript tests in
      d/rules.
  * Update 00-build-system.patch to add support for libclang-3.8-dev.
  * Update 02-generic-ycm-extra-conf-py.patch to simplify
    ycm_extra_conf.py.

 -- Onur Aslan <email address hidden>  Mon, 02 Nov 2015 13:40:20 +0300
Superseded in xenial-release on 2015-11-03
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
ycmd (0+20150804+git6f4dbb4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream version.
  * Replace libclang-dev build dependency with
    libclang-3.6-dev | libclang3.7-dev.
  * Remove clang-3.5 support in 00-build-system.patch.
  * Add 04-test-basic-string-alias.patch.
  * Update d/install to install EXPECTED_CORE_VERSION and
    check_core_version.py
  * Update Upstream-Name and Source URL in debian/copyright.
  * Update copyright info and years.

 -- Onur Aslan <email address hidden>  Fri, 07 Aug 2015 12:10:08 +0300
Superseded in wily-release on 2015-08-19
Deleted in wily-proposed on 2015-08-20 (Reason: moved to release)
ycmd (0+20150616+gitd7a3653-1) unstable; urgency=low

  * Initial release. (Closes: #771330)

 -- Onur Aslan <email address hidden>  Mon, 22 Jun 2015 20:06:43 +0300
120 of 20 results